package com.sunxung.factoring.component.util;

import com.alibaba.fastjson.JSON;

public class JsonUtil {

    private JsonUtil(){
    }

    /**
     * JSON字符串转实体类
     * 
     * @param json JSON字符串
     * @param clazz 实体类
     * @return
     */
    public static <T> T parseObject(String json, Class<T> clazz) {
        return JSON.parseObject(json, clazz);
    }

    /**
     * 实体类转JSON字符串
     * 
     * @param object 实体类
     * @return
     */
    public static String toJSONString(Object object) {
        return JSON.toJSONString(object);
    }

    /**
     * JSON字符串转实体类(从[ ]中提取)
     * 
     * @param str
     * @param clazz
     * @return
     */
    public static <T> T parseArrayToObj(String str, Class<T> clazz) {
        if (StringUtil.isBlank(str)) {
            return null;
        }
        return JSON.parseArray(str, clazz).get(0);
    }
}
